com.jscape.inet.sftp

## Class Sftp.UploadFileOperation

- java.lang.Object
- - com.jscape.inet.sftp.Sftp.UploadFileOperation

- Enclosing class:
    Sftp

      public static class Sftp.UploadFileOperation
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `Sftp.UploadFileOperation.Listener`
    `static class` | `Sftp.UploadFileOperation.NullListener`
    `static class` | `Sftp.UploadFileOperation.TransferStrategy`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UploadFileOperation(java.io.File localFile, Sftp.RemoteDirectory remoteDirectory, java.lang.String tempFileExtension, Sftp.UploadFileOperation.TransferStrategy transferStrategy, boolean fileTimestampPreservingRequired, int maxAttempts, com.jscape.util.Time attemptPeriod, boolean deleteLocalFileRequired, Sftp.UploadFileOperation.Listener listener)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Sftp.UploadFileOperation` | `applyTo(Sftp transfer)`
    `void` | `cancel()`
    `void` | `disconnectRequired(boolean value)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UploadFileOperation

          public UploadFileOperation(java.io.File localFile,
                                     Sftp.RemoteDirectory remoteDirectory,
                                     java.lang.String tempFileExtension,
                                     Sftp.UploadFileOperation.TransferStrategy transferStrategy,
                                     boolean fileTimestampPreservingRequired,
                                     int maxAttempts,
                                     com.jscape.util.Time attemptPeriod,
                                     boolean deleteLocalFileRequired,
                                     Sftp.UploadFileOperation.Listener listener)

  - ### Method Detail

    - #### disconnectRequired

          public void disconnectRequired(boolean value)

    - #### applyTo

          public Sftp.UploadFileOperation applyTo(Sftp transfer)
                                           throws SftpException

      Throws:
        `SftpException`

    - #### cancel

          public void cancel()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved